=== debian/changelog ===
axc (0.3.3-1) unstable; urgency=medium

  [ Henry-Nicolas Tourneur ]
  * Initial release. Closes: #926343

  [ Federico Ceratto ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Henry-Nicolas Tourneur <debian@nilux.be>  Mon, 27 Jul 2020 11:40:53 +0000
