=== debian/control ===
Source: axc
Section: devel
Priority: optional
Maintainer: DebianOnMobile Maintainers <debian-on-mobile-maintainers@alioth-lists.debian.net>
Uploaders:
 Henry-Nicolas Tourneur <debian@nilux.be>,
Build-Depends:
 debhelper-compat (= 13),
 libcmocka-dev,
 libgcrypt20-dev,
 libglib2.0-dev,
 libsignal-protocol-c-dev,
 libsqlite3-dev,
 pkg-config,
Standards-Version: 4.5.0
Rules-Requires-Root: no
Homepage: https://github.com/gkdr/axc
Vcs-Git: https://salsa.debian.org/DebianOnMobile-team/libaxc.git
Vcs-Browser: https://salsa.debian.org/DebianOnMobile-team/libaxc

Package: libaxc0
Architecture: any
Section: libs
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: client library for libsignal-protocol-c
 Client lib for libsignal-c, implementing the needed database and crypto
 interfaces using SQLite and gcrypt. Initially, the library's name was
 libaxolotl, hence the name.
 Additionally it provides utility functions for common use cases like encrypting
 and decrypting, ultimately making direct use of libsignal unnecessary.

Package: libaxc-dev
Section: libdevel
Architecture: any
Depends:
 libaxc0 (= ${binary:Version}),
 libsignal-protocol-c-dev,
 ${misc:Depends},
Description: development headers for libaxc
 Client library for libsignal-c, implementing the needed database and crypto
 interfaces using SQLite and gcrypt. Initially, the library's name was
 libaxolotl, hence the name.
 .
 Additionally it provides utility functions for common use cases like encrypting
 and decrypting, ultimately making direct use of libsignal unnecessary.
 .
 This package contains the development files.
