=== debian/changelog ===
axc (0.3.7-1) unstable; urgency=medium

  * New upstream version 0.3.7
  * d/patches: cleanup patches that are upstreamed

 -- Henry-Nicolas Tourneur <debian@nilux.be>  Mon, 31 Jan 2022 20:42:23 +0000

axc (0.3.6-2) unstable; urgency=medium

  * Fix FTCBFS: Consistently use the host architecture
    compiler. (Closes: #994671)

 -- Henry-Nicolas Tourneur <debian@nilux.be>  Sun, 19 Sep 2021 14:18:49 +0000

axc (0.3.6-1) unstable; urgency=medium

  * New upstream version 0.3.6
  * d/patches: remove upstreamed patches

 -- Henry-Nicolas Tourneur <debian@nilux.be>  Fri, 17 Sep 2021 15:55:04 +0000

axc (0.3.5-2) unstable; urgency=medium

  * d/patches: add 001_makefile-fix-ftcbfs.patch (Closes: #993455)

 -- Henry-Nicolas Tourneur <debian@nilux.be>  Wed, 01 Sep 2021 17:12:01 +0000

axc (0.3.5-1) unstable; urgency=medium

  * New upstream version 0.3.5
  * d/patches: remove upstreamed patches

 -- Henry-Nicolas Tourneur <debian@nilux.be>  Wed, 25 Aug 2021 09:39:51 +0000

axc (0.3.4-1) unstable; urgency=medium

  * New upstream version 0.3.4
  * d/salsa-ci.yml: disable aptly
  * d/patches: remove 001_fix_makefile.patch that has been upstreamed
  * d/patches: 001_makefile_fixtest-race.patch
    fixes a potential FTBFS (Closes: #983975)
  * Perform the sofile linking using upstream build infrastructure
  * Cleanup on d/rules: leftovers from unused patches
  * d/control: bump Standard-Version (no changes needed)

 -- Henry-Nicolas Tourneur <debian@nilux.be>  Sun, 15 Aug 2021 10:33:45 +0000
