=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
  libsignal-protocol-c-dev,
  libsqlite3-dev,
  pkg-config,
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Homepage: https://github.com/gkdr/axc
 Vcs-Git: https://salsa.debian.org/DebianOnMobile-team/libaxc.git
