=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/axc-$1\.tar\.gz/ \
  https://github.com/gkdr/axc/tags .*/v?(\d\S+)\.tar\.gz
